param (
    [switch]$clean,
    [switch]$mingw
)

if(!$clean)
{
    if($mingw)
    {
        cd .\pico-tcp-service\pico-tcp
        .\build-mingw.ps1
        cd ..
        cd ..
    } else {
        cd .\pico-tcp-service\pico-tcp
        .\build.ps1
        cd ..
        cd ..
    }
} else {
    cd .\pico-tcp-service\pico-tcp
    .\build-clean.ps1
    cd ..
    cd ..
}